Directories
¶
| Path | Synopsis |
|---|---|
|
pkg
|
|
|
kbin
Package kbin contains Kafka primitive reading and writing functions.
|
Package kbin contains Kafka primitive reading and writing functions. |
|
kerr
Package kerr contains Kafka errors.
|
Package kerr contains Kafka errors. |
|
kgo
Package kgo provides a pure Go efficient Kafka client for Kafka 0.8+ with support for transactions, regex topic consuming, the latest partition strategies, and more.
|
Package kgo provides a pure Go efficient Kafka client for Kafka 0.8+ with support for transactions, regex topic consuming, the latest partition strategies, and more. |
|
kgo/internal/sticky
Package sticky provides sticky partitioning strategy for Kafka, with a complete overhaul to be faster, more understandable, and optimal.
|
Package sticky provides sticky partitioning strategy for Kafka, with a complete overhaul to be faster, more understandable, and optimal. |
|
kgo/internal/xsync
Package xsync provides Mutex and RWMutex types that are aliases for sync.Mutex / sync.RWMutex in normal builds and channel-backed reimplementations under the "synctests" build tag.
|
Package xsync provides Mutex and RWMutex types that are aliases for sync.Mutex / sync.RWMutex in normal builds and channel-backed reimplementations under the "synctests" build tag. |
|
kversion
Package kversion specifies versions for Kafka request keys.
|
Package kversion specifies versions for Kafka request keys. |
|
sasl
Package sasl specifies interfaces that any SASL authentication must provide to interop with Kafka SASL.
|
Package sasl specifies interfaces that any SASL authentication must provide to interop with Kafka SASL. |
|
sasl/aws
Package aws provides AWS_MSK_IAM sasl authentication as specified in the Java source.
|
Package aws provides AWS_MSK_IAM sasl authentication as specified in the Java source. |
|
sasl/oauth
Package oauth provides OAUTHBEARER sasl authentication as specified in RFC7628.
|
Package oauth provides OAUTHBEARER sasl authentication as specified in RFC7628. |
|
sasl/plain
Package plain provides PLAIN sasl authentication as specified in RFC4616.
|
Package plain provides PLAIN sasl authentication as specified in RFC4616. |
|
sasl/scram
Package scram provides SCRAM-SHA-256 and SCRAM-SHA-512 sasl authentication as specified in RFC5802.
|
Package scram provides SCRAM-SHA-256 and SCRAM-SHA-512 sasl authentication as specified in RFC5802. |
|
kadm
module
|
|
|
kfake
module
|
|
|
kmsg
module
|
|
|
sasl/kerberos
module
|
|
|
sr
module
|
|
|
plugin
|
|
|
kgmetrics
module
|
|
|
klogr
module
|
|
|
klogrus
module
|
|
|
kotel
module
|
|
|
kphuslog
module
|
|
|
kprom
module
|
|
|
kslog
module
|
|
|
kvictoria
module
|
|
|
kzap
module
|
|
|
kzerolog
module
|
Click to show internal directories.
Click to hide internal directories.